Loading...
Searching...
No Matches
LibC.h File Reference
`#include <errno.h>`
`#include <stdarg.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
Include dependency graph for LibC.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | ZYAN_ERRNO errno
#define | ZYAN_VA_START va_start
#define | ZYAN_VA_ARG va_arg
#define | ZYAN_VA_END va_end
#define | ZYAN_VA_COPY(dest, source)
#define | ZYAN_FPUTS fputs
#define | ZYAN_FPUTC fputc
#define | ZYAN_FPRINTF fprintf
#define | ZYAN_PRINTF printf
#define | ZYAN_PUTC putc
#define | ZYAN_PUTS puts
#define | ZYAN_SCANF scanf
#define | ZYAN_SSCANF sscanf
#define | ZYAN_VSNPRINTF vsnprintf
#define | ZYAN_STDIN stdin
#define | ZYAN_STDOUT stdout
#define | ZYAN_STDERR stderr
#define | ZYAN_CALLOC calloc
#define | ZYAN_FREE free
#define | ZYAN_GETENV getenv
#define | ZYAN_MALLOC malloc
#define | ZYAN_REALLOC realloc
#define | ZYAN_MEMCHR memchr
#define | ZYAN_MEMCMP memcmp
#define | ZYAN_MEMCPY memcpy
#define | ZYAN_MEMMOVE memmove
#define | ZYAN_MEMSET memset
#define | ZYAN_STRCAT strcat
#define | ZYAN_STRCHR strchr
#define | ZYAN_STRCMP strcmp
#define | ZYAN_STRCOLL strcoll
#define | ZYAN_STRCPY strcpy
#define | ZYAN_STRCSPN strcspn
#define | ZYAN_STRLEN strlen
#define | ZYAN_STRNCAT strncat
#define | ZYAN_STRNCMP strncmp
#define | ZYAN_STRNCPY strncpy
#define | ZYAN_STRPBRK strpbrk
#define | ZYAN_STRRCHR strrchr
#define | ZYAN_STRSPN strspn
#define | ZYAN_STRSTR strstr
#define | ZYAN_STRTOK strtok
#define | ZYAN_STRXFRM strxfrm

## Typedefs

typedef va_list | ZyanVAList
typedef FILE | ZyanFile

## Detailed Description

Provides a simple LibC abstraction and fallback routines.

## Macro Definition Documentation

## ZYAN_VA_COPY

#define ZYAN_VA_COPY | ( |  | dest,
|  |  | source )

Value:
va_copy((dest), (source))

## Typedef Documentation

## ZyanFile

typedef FILE ZyanFile

Defines the ZyanFile datatype.

## ZyanVAList

typedef va_list ZyanVAList

Defines the ZyanVAList datatype.